Erreur Liaison facture

Suite a la mise à jour d’une instance de la version 10.0.6 vers la 13.0.2. Qui ne c’est pas complétement bien passé (cf Dolibarr install or upgrade)

Il m’est maintenant impossible de liés des lignes dans le module comptabilité. (facture client et fournisseurs)

Lorsque je cherche a accéder à la page ligne a liés, j’ai l’erreur :
Unknown column ‹ p.accountancy_code_buy_intra › in ‹ field list ›

Et lorsque je cherche à accéder à la page ligne liée j’ai l’erreur :
Unknown column ‹ aa.labelshort › in ‹ field list ›

Je ne vois pas de rapport entre le log de la mise à jour et ces erreurs mais c’est peut être liée.
Quelqu’un pourrait m’aider ?

Merci d’avance

Bonjour,

Je suis toujours coincé avec ce problème, je ne trouve aucune référence sur le forum…

Merci d’avant si vous avez une piste

@aspangaro-OpenDSI : D’après d’autre post sur le forum, le problème viendrai de la tâble de gestion des comptes, mais je ne trouve pas de solution.

Bonjour @BenoitCier,

Effectivement il manque un script de migration. Soit c’est un oubli dans le fichier généré soit la mise à jour v11 vers v12 n’a pas eu lieu.

Et c’est cohérent car il manque les requêtes suivantes :
ALTER TABLE llx_product ADD COLUMN accountancy_code_buy_intra varchar(32) AFTER accountancy_code_buy;
ALTER TABLE llx_product ADD COLUMN accountancy_code_buy_export varchar(32) AFTER accountancy_code_buy_intra;
ALTER TABLE llx_accounting_account ADD COLUMN reconcilable tinyint DEFAULT 0 NOT NULL after active;
ALTER TABLE llx_accounting_account ADD COLUMN labelshort varchar(255) DEFAULT NULL after label;

Merci,
Les requêtes passé manuellement ont réglé le problème.
J’espère qu’il ne manque pas d’autres requêtes (pour d’autres modules par exemple)

J’ai souvent des soucis lors des mises a jour, les scripts d’upgrade des tables génère des timeout via un navigateur, il faut donc le relancer plusieurs fois. ou lancer les scripts en ligne de commande mais la documentation n’est peut être pas complètement a jour :

https://wiki.dolibarr.org/index.php?title=Installation_-Upgrade#With_Dolibarr.28standard_.zip_package_or_from_Git.29_2

En tout cas le problème semble être résolu, Merci

Il n’y a pas que ces 4 requêtes… :

Github - Migration 11 vers 12